com.smartgwt.client.bean.types

## Class BooleanValueType

- java.lang.Object
- - com.smartgwt.client.bean.BeanValueType<java.lang.Boolean>
  - - com.smartgwt.client.bean.types.BooleanValueType

- Direct Known Subclasses:
    PBooleanValueType

      public class BooleanValueType
      extends BeanValueType<java.lang.Boolean>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

      `BeanValueType.Convertability, BeanValueType.MetaFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BooleanValueType()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BeanValueType.Convertability` | `convertabilityFrom(java.lang.Object value)`
    `java.lang.Boolean` | `convertFrom(java.lang.Object value)`
    `protected java.lang.Class` | `getValueType()`
    `protected boolean` | `isAssignableFrom(java.lang.Object value)`
    `static void` | `registerValueType()`

    - ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

      `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, doConvertToString, getBeanValueType, isA, isAssignableFrom, isAssignableFrom, nullValue, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanValueType

          public BooleanValueType()

  - ### Method Detail

    - #### registerValueType

          public static void registerValueType()

    - #### getValueType

          protected java.lang.Class getValueType()

      Specified by:
        `getValueType` in class `BeanValueType<java.lang.Boolean>`

    - #### isAssignableFrom

          protected boolean isAssignableFrom(java.lang.Object value)

      Specified by:
        `isAssignableFrom` in class `BeanValueType<java.lang.Boolean>`

    - #### convertabilityFrom

          public BeanValueType.Convertability convertabilityFrom(java.lang.Object value)

      Overrides:
        `convertabilityFrom` in class `BeanValueType<java.lang.Boolean>`

    - #### convertFrom

          public java.lang.Boolean convertFrom(java.lang.Object value)

      Overrides:
        `convertFrom` in class `BeanValueType<java.lang.Boolean>`